Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90	(revision 5118)
@@ -1,3 +1,2 @@
-
 ! $Id$
 
@@ -13,6 +12,6 @@
   USE control_mod
   USE mod_const_mpi, ONLY: COMM_LMDZ
-  USE temps_mod, ONLY: calend,start_time,annee_ref,day_ref, &
-                     itau_dyn,itau_phy,day_ini,jD_ref,jH_ref,day_end
+  USE temps_mod, ONLY: calend, start_time, annee_ref, day_ref, &
+          itau_dyn, itau_phy, day_ini, jD_ref, jH_ref, day_end
   USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, g, r, rad
   USE logic_mod, ONLY: ecripar, iflag_phys, read_start
@@ -21,5 +20,5 @@
   USE lmdz_description, ONLY: descript
 
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   ! FH 2008/05/09 On elimine toutes les clefs physiques dans la dynamique
   ! A nettoyer. On ne veut qu'une ou deux routines d'interface 
@@ -27,5 +26,6 @@
   ! AB 2024/07/20: remplace CPP key by fortran logical, but ^ still relevant, see later use of iniphys later on
   USE iniphysiq_mod, ONLY: iniphysiq
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  USE lmdz_iniprint, ONLY: lunout, prt_level
 
   IMPLICIT NONE
@@ -65,5 +65,4 @@
   include "comdissnew.h"
   include "comgeom.h"
-  include "iniprint.h"
   include "tracstoke.h"
 
@@ -71,13 +70,13 @@
 
   !   variables dynamiques
-  REAL vcov(ip1jm,llm),ucov(ip1jmp1,llm) ! vents covariants
-  REAL teta(ip1jmp1,llm)                 ! temperature potentielle 
-  REAL, ALLOCATABLE, DIMENSION(:,:,:):: q! champs advectes
+  REAL vcov(ip1jm, llm), ucov(ip1jmp1, llm) ! vents covariants
+  REAL teta(ip1jmp1, llm)                 ! temperature potentielle
+  REAL, ALLOCATABLE, DIMENSION(:, :, :) :: q! champs advectes
   REAL ps(ip1jmp1)                       ! pression  au sol
-!  REAL p (ip1jmp1,llmp1  )               ! pression aux interfac.des couches
-  REAL masse(ip1jmp1,llm)                ! masse d'air
+  !  REAL p (ip1jmp1,llmp1  )               ! pression aux interfac.des couches
+  REAL masse(ip1jmp1, llm)                ! masse d'air
   REAL phis(ip1jmp1)                     ! geopotentiel au sol
-!  REAL phi(ip1jmp1,llm)                  ! geopotentiel
-!  REAL w(ip1jmp1,llm)                    ! vitesse verticale
+  !  REAL phi(ip1jmp1,llm)                  ! geopotentiel
+  !  REAL w(ip1jmp1,llm)                    ! vitesse verticale
 
   ! variables dynamiques intermediaire pour le transport
@@ -89,5 +88,4 @@
 
   LOGICAL lafin
-
 
   REAL time_step, t_wrt, t_ops
@@ -101,14 +99,13 @@
   !     tansformation d'energie cinetique en energie thermique
   !     cree par la dissipation
-!  REAL dhecdt(ip1jmp1,llm)
+  !  REAL dhecdt(ip1jmp1,llm)
   !      REAL vcont(ip1jm,llm),ucont(ip1jmp1,llm)
   !      REAL      d_h_vcol, d_qt, d_qw, d_ql, d_ec
-!  CHARACTER (len=15) :: ztit
+  !  CHARACTER (len=15) :: ztit
   !-jld 
 
-
-  CHARACTER (LEN=80) :: dynhist_file, dynhistave_file
-  CHARACTER (LEN=20) :: modname
-  CHARACTER (LEN=80) :: abort_message
+  CHARACTER (LEN = 80) :: dynhist_file, dynhistave_file
+  CHARACTER (LEN = 20) :: modname
+  CHARACTER (LEN = 80) :: abort_message
   ! locales pour gestion du temps
   INTEGER :: an, mois, jour
@@ -123,5 +120,5 @@
   modname = 'gcm'
   descript = 'Run GCM LMDZ'
-  lafin    = .FALSE.
+  lafin = .FALSE.
   dynhist_file = 'dyn_hist.nc'
   dynhistave_file = 'dyn_hist_ave.nc'
@@ -133,17 +130,17 @@
   !  ---------------------------------------
 
-  CALL conf_gcm( 99, .TRUE.)
+  CALL conf_gcm(99, .TRUE.)
 
   IF (mod(iphysiq, iperiod) /= 0) CALL abort_gcm("conf_gcm", &
-       "iphysiq must be a multiple of iperiod", 1)
-
-  use_filtre_fft=.FALSE.
-  CALL getin('use_filtre_fft',use_filtre_fft)
+          "iphysiq must be a multiple of iperiod", 1)
+
+  use_filtre_fft = .FALSE.
+  CALL getin('use_filtre_fft', use_filtre_fft)
   IF (use_filtre_fft) CALL abort_gcm("gcm", 'FFT filter is not available in ' &
           // 'the sequential version of the dynamics.', 1)
 
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   ! Initialisation de XIOS
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
   IF (using_xios) THEN
@@ -152,13 +149,13 @@
 
 
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   ! FH 2008/05/02
   ! A nettoyer. On ne veut qu'une ou deux routines d'interface 
   ! dynamique -> physique pour l'initialisation
-!#ifdef CPP_PHYS
-!  CALL Init_Phys_lmdz(iim,jjp1,llm,1,(/(jjm-1)*iim+2/))
-!  !      CALL InitComgeomphy ! now done in iniphysiq
-!#endif
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  !#ifdef CPP_PHYS
+  !  CALL Init_Phys_lmdz(iim,jjp1,llm,1,(/(jjm-1)*iim+2/))
+  !  !      CALL InitComgeomphy ! now done in iniphysiq
+  !#endif
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   !-----------------------------------------------------------------------
   !   Choix du calendrier
@@ -168,15 +165,15 @@
 
   IF (calend == 'earth_360d') THEN
-     CALL ioconf_calendar('360_day')
-     WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
+    CALL ioconf_calendar('360_day')
+    WRITE(lunout, *)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
   ELSE IF (calend == 'earth_365d') THEN
-     CALL ioconf_calendar('noleap')
-     WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
+    CALL ioconf_calendar('noleap')
+    WRITE(lunout, *)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
   ELSE IF (calend == 'gregorian') THEN
-     CALL ioconf_calendar('gregorian')
-     WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre bissextile'
+    CALL ioconf_calendar('gregorian')
+    WRITE(lunout, *)'CALENDRIER CHOISI: Terrestre bissextile'
   else
-     abort_message = 'Mauvais choix de calendrier'
-     CALL abort_gcm(modname,abort_message,1)
+    abort_message = 'Mauvais choix de calendrier'
+    CALL abort_gcm(modname, abort_message, 1)
   ENDIF
   !-----------------------------------------------------------------------
@@ -196,5 +193,5 @@
 
   ! Allocation de la tableau q : champs advectes   
-  allocate(q(ip1jmp1,llm,nqtot))
+  allocate(q(ip1jmp1, llm, nqtot))
 
   !-----------------------------------------------------------------------
@@ -204,21 +201,21 @@
   !  lecture du fichier start.nc
   IF (read_start) THEN
-     ! we still need to run iniacademic to initialize some
-     ! constants & fields, if we run the 'newtonian' or 'SW' cases:
-     IF (iflag_phys/=1) THEN
-        CALL iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
-     endif
-
-     !        if (planet_type.EQ."earth") THEN
-     ! Load an Earth-format start file
-     CALL dynetat0("start.nc",vcov,ucov, &
-          teta,q,masse,ps,phis, time_0)
-     !        endif ! of if (planet_type.EQ."earth")
-
-     !       WRITE(73,*) 'ucov',ucov
-     !       WRITE(74,*) 'vcov',vcov
-     !       WRITE(75,*) 'teta',teta
-     !       WRITE(76,*) 'ps',ps
-     !       WRITE(77,*) 'q',q
+    ! we still need to run iniacademic to initialize some
+    ! constants & fields, if we run the 'newtonian' or 'SW' cases:
+    IF (iflag_phys/=1) THEN
+      CALL iniacademic(vcov, ucov, teta, q, masse, ps, phis, time_0)
+    endif
+
+    !        if (planet_type.EQ."earth") THEN
+    ! Load an Earth-format start file
+    CALL dynetat0("start.nc", vcov, ucov, &
+            teta, q, masse, ps, phis, time_0)
+    !        endif ! of if (planet_type.EQ."earth")
+
+    !       WRITE(73,*) 'ucov',ucov
+    !       WRITE(74,*) 'vcov',vcov
+    !       WRITE(75,*) 'teta',teta
+    !       WRITE(76,*) 'ps',ps
+    !       WRITE(77,*) 'q',q
 
   ENDIF ! of if (read_start)
@@ -226,10 +223,10 @@
 
   ! le cas echeant, creation d un etat initial
-  IF (prt_level > 9) WRITE(lunout,*) &
-       'GCM: AVANT iniacademic AVANT AVANT AVANT AVANT'
+  IF (prt_level > 9) WRITE(lunout, *) &
+          'GCM: AVANT iniacademic AVANT AVANT AVANT AVANT'
   IF (.NOT.read_start) THEN
-     start_time=0.
-     annee_ref=anneeref
-     CALL iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
+    start_time = 0.
+    annee_ref = anneeref
+    CALL iniacademic(vcov, ucov, teta, q, masse, ps, phis, time_0)
   ENDIF
 
@@ -240,20 +237,20 @@
   !  on recalcule eventuellement le pas de temps
 
-  IF(MOD(day_step,iperiod)/=0) THEN
-     abort_message =  &
-          'Il faut choisir un nb de pas par jour multiple de iperiod'
-     CALL abort_gcm(modname,abort_message,1)
-  ENDIF
-
-  IF(MOD(day_step,iphysiq)/=0) THEN
-     abort_message =  &
-          'Il faut choisir un nb de pas par jour multiple de iphysiq'
-     CALL abort_gcm(modname,abort_message,1)
-  ENDIF
-
-  zdtvr    = daysec/REAL(day_step)
+  IF(MOD(day_step, iperiod)/=0) THEN
+    abort_message = &
+            'Il faut choisir un nb de pas par jour multiple de iperiod'
+    CALL abort_gcm(modname, abort_message, 1)
+  ENDIF
+
+  IF(MOD(day_step, iphysiq)/=0) THEN
+    abort_message = &
+            'Il faut choisir un nb de pas par jour multiple de iphysiq'
+    CALL abort_gcm(modname, abort_message, 1)
+  ENDIF
+
+  zdtvr = daysec / REAL(day_step)
   IF(dtvr/=zdtvr) THEN
-     WRITE(lunout,*) &
-          'WARNING!!! changement de pas de temps',dtvr,'>',zdtvr
+    WRITE(lunout, *) &
+            'WARNING!!! changement de pas de temps', dtvr, '>', zdtvr
   ENDIF
 
@@ -261,31 +258,31 @@
 
   IF (start_time /= starttime) THEN
-     WRITE(lunout,*)' GCM: Attention l''heure de depart lue dans le' &
-          ,' fichier restart ne correspond pas a celle lue dans le run.def'
-     IF (raz_date == 1) THEN
-        WRITE(lunout,*)'Je prends l''heure lue dans run.def'
-        start_time = starttime
-     ELSE
-        CALL abort_gcm("gcm", "'Je m''arrete'", 1)
-     ENDIF
+    WRITE(lunout, *)' GCM: Attention l''heure de depart lue dans le' &
+            , ' fichier restart ne correspond pas a celle lue dans le run.def'
+    IF (raz_date == 1) THEN
+      WRITE(lunout, *)'Je prends l''heure lue dans run.def'
+      start_time = starttime
+    ELSE
+      CALL abort_gcm("gcm", "'Je m''arrete'", 1)
+    ENDIF
   ENDIF
   IF (raz_date == 1) THEN
-     annee_ref = anneeref
-     day_ref = dayref
-     day_ini = dayref
-     itau_dyn = 0
-     itau_phy = 0
-     time_0 = 0.
-     WRITE(lunout,*) &
-          'GCM: On reinitialise a la date lue dans gcm.def'
+    annee_ref = anneeref
+    day_ref = dayref
+    day_ini = dayref
+    itau_dyn = 0
+    itau_phy = 0
+    time_0 = 0.
+    WRITE(lunout, *) &
+            'GCM: On reinitialise a la date lue dans gcm.def'
   ELSE IF (annee_ref /= anneeref .OR. day_ref /= dayref) THEN
-     WRITE(lunout,*) &
-          'GCM: Attention les dates initiales lues dans le fichier'
-     WRITE(lunout,*) &
-          ' restart ne correspondent pas a celles lues dans '
-     WRITE(lunout,*)' gcm.def'
-     WRITE(lunout,*)' annee_ref=',annee_ref," anneeref=",anneeref
-     WRITE(lunout,*)' day_ref=',day_ref," dayref=",dayref
-     WRITE(lunout,*)' Pas de remise a zero'
+    WRITE(lunout, *) &
+            'GCM: Attention les dates initiales lues dans le fichier'
+    WRITE(lunout, *) &
+            ' restart ne correspondent pas a celles lues dans '
+    WRITE(lunout, *)' gcm.def'
+    WRITE(lunout, *)' annee_ref=', annee_ref, " anneeref=", anneeref
+    WRITE(lunout, *)' day_ref=', day_ref, " dayref=", dayref
+    WRITE(lunout, *)' Pas de remise a zero'
   ENDIF
 
@@ -323,30 +320,29 @@
   CALL ioconf_startdate(INT(jD_ref), jH_ref)
 
-  WRITE(lunout,*)'DEBUG'
-  WRITE(lunout,*)'annee_ref, mois, day_ref, heure, jD_ref'
-  WRITE(lunout,*)annee_ref, mois, day_ref, heure, jD_ref
-  CALL ju2ymds(jD_ref+jH_ref,an, mois, jour, heure)
-  WRITE(lunout,*)'jD_ref+jH_ref,an, mois, jour, heure'
-  WRITE(lunout,*)jD_ref+jH_ref,an, mois, jour, heure
-
+  WRITE(lunout, *)'DEBUG'
+  WRITE(lunout, *)'annee_ref, mois, day_ref, heure, jD_ref'
+  WRITE(lunout, *)annee_ref, mois, day_ref, heure, jD_ref
+  CALL ju2ymds(jD_ref + jH_ref, an, mois, jour, heure)
+  WRITE(lunout, *)'jD_ref+jH_ref,an, mois, jour, heure'
+  WRITE(lunout, *)jD_ref + jH_ref, an, mois, jour, heure
 
   IF (iflag_phys==1) THEN
-     ! these initialisations have already been done (via iniacademic)
-     ! if running in SW or Newtonian mode
-     !-----------------------------------------------------------------------
-     !   Initialisation des constantes dynamiques :
-     !   ------------------------------------------
-     dtvr = zdtvr
-     CALL iniconst
-
-     !-----------------------------------------------------------------------
-     !   Initialisation de la geometrie :
-     !   --------------------------------
-     CALL inigeom
-
-     !-----------------------------------------------------------------------
-     !   Initialisation du filtre :
-     !   --------------------------
-     CALL inifilr
+    ! these initialisations have already been done (via iniacademic)
+    ! if running in SW or Newtonian mode
+    !-----------------------------------------------------------------------
+    !   Initialisation des constantes dynamiques :
+    !   ------------------------------------------
+    dtvr = zdtvr
+    CALL iniconst
+
+    !-----------------------------------------------------------------------
+    !   Initialisation de la geometrie :
+    !   --------------------------------
+    CALL inigeom
+
+    !-----------------------------------------------------------------------
+    !   Initialisation du filtre :
+    !   --------------------------
+    CALL inifilr
   ENDIF ! of if (iflag_phys.EQ.1)
 
@@ -355,6 +351,6 @@
   !   ----------------------------------
 
-  CALL inidissip( lstardis, nitergdiv, nitergrot, niterh   , &
-       tetagdiv, tetagrot , tetatemp, vert_prof_dissip)
+  CALL inidissip(lstardis, nitergdiv, nitergrot, niterh, &
+          tetagdiv, tetagrot, tetatemp, vert_prof_dissip)
 
   !  numero de stockage pour les fichiers de redemarrage:
@@ -364,19 +360,18 @@
   !   ------------------------
 
-
   IF (nday>=0) THEN
-     day_end = day_ini + nday
+    day_end = day_ini + nday
   else
-     day_end = day_ini - nday/day_step
-  ENDIF
-  WRITE(lunout,300)day_ini,day_end
-300 FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
+    day_end = day_ini - nday / day_step
+  ENDIF
+  WRITE(lunout, 300)day_ini, day_end
+  300 FORMAT('1'/, 15x, 'run du jour', i7, 2x, 'au jour', i7//)
 
   CALL ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
-  write (lunout,301)jour, mois, an
+  write (lunout, 301)jour, mois, an
   CALL ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
-  write (lunout,302)jour, mois, an
-301 FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
-302 FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
+  write (lunout, 302)jour, mois, an
+  301 FORMAT('1'/, 15x, 'run du ', i2, '/', i2, '/', i4)
+  302 FORMAT('1'/, 15x, '    au ', i2, '/', i2, '/', i4)
 
   !-----------------------------------------------------------------------
@@ -387,9 +382,9 @@
     ! Physics:
     IF (CPPKEY_PHYS) THEN
-      CALL iniphysiq(iim,jjm,llm, &
-          (jjm-1)*iim+2,comm_lmdz, &
-          daysec,day_ini,dtphys/nsplit_phys, &
-          rlatu,rlatv,rlonu,rlonv,aire,cu,cv,rad,g,r,cpp, &
-          iflag_phys)
+      CALL iniphysiq(iim, jjm, llm, &
+              (jjm - 1) * iim + 2, comm_lmdz, &
+              daysec, day_ini, dtphys / nsplit_phys, &
+              rlatu, rlatv, rlonu, rlonv, aire, cu, cv, rad, g, r, cpp, &
+              iflag_phys)
     END IF
   ENDIF ! of IF ((iflag_phys==1).OR.(iflag_phys>=100))
@@ -405,26 +400,26 @@
   time_step = zdtvr
   IF (ok_dyn_ins) THEN
-     ! initialize output file for instantaneous outputs
-     ! t_ops = iecri * daysec ! do operations every t_ops
-     t_ops =((1.0*iecri)/day_step) * daysec  
-     t_wrt = daysec ! iecri * daysec ! write output every t_wrt
-     CALL inithist(day_ref,annee_ref,time_step, &
-          t_ops,t_wrt)
-  ENDIF
-
-  IF (ok_dyn_ave) THEN 
-     ! initialize output file for averaged outputs
-     t_ops = iperiod * time_step ! do operations every t_ops
-     t_wrt = periodav * daysec   ! write output every t_wrt
-     CALL initdynav(day_ref,annee_ref,time_step, &
-          t_ops,t_wrt)
+    ! initialize output file for instantaneous outputs
+    ! t_ops = iecri * daysec ! do operations every t_ops
+    t_ops = ((1.0 * iecri) / day_step) * daysec
+    t_wrt = daysec ! iecri * daysec ! write output every t_wrt
+    CALL inithist(day_ref, annee_ref, time_step, &
+            t_ops, t_wrt)
+  ENDIF
+
+  IF (ok_dyn_ave) THEN
+    ! initialize output file for averaged outputs
+    t_ops = iperiod * time_step ! do operations every t_ops
+    t_wrt = periodav * daysec   ! write output every t_wrt
+    CALL initdynav(day_ref, annee_ref, time_step, &
+            t_ops, t_wrt)
   END IF
-  dtav = iperiod*dtvr/daysec
+  dtav = iperiod * dtvr / daysec
 
   !  Choix des frequences de stokage pour le offline
   !      istdyn=day_step/4     ! stockage toutes les 6h=1jour/4
   !      istdyn=day_step/12     ! stockage toutes les 2h=1jour/12
-  istdyn=day_step/4     ! stockage toutes les 6h=1jour/12
-  istphy=istdyn/iphysiq     
+  istdyn = day_step / 4     ! stockage toutes les 6h=1jour/12
+  istphy = istdyn / iphysiq
 
   !-----------------------------------------------------------------------
@@ -438,6 +433,5 @@
   !       WRITE(78,*) 'q',q
 
-
-  CALL leapfrog(ucov,vcov,teta,ps,masse,phis,q,time_0)
+  CALL leapfrog(ucov, vcov, teta, ps, masse, phis, q, time_0)
 
 END PROGRAM gcm
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5118)
@@ -1,11 +1,10 @@
-
 ! $Id$
 
 MODULE guide_mod
 
-!=======================================================================
-!   Auteur:  F.Hourdin
-!            F. Codron 01/09
-!=======================================================================
+  !=======================================================================
+  !   Auteur:  F.Hourdin
+  !            F. Codron 01/09
+  !=======================================================================
 
   USE getparam, ONLY: ini_getparam, fin_getparam, getpar
@@ -20,53 +19,53 @@
   IMPLICIT NONE
 
-! ---------------------------------------------
-! Declarations des cles logiques et parametres 
-! ---------------------------------------------
-  INTEGER, PRIVATE, SAVE  :: iguide_read,iguide_int,iguide_sav
-  INTEGER, PRIVATE, SAVE  :: nlevnc, guide_plevs
-  LOGICAL, PRIVATE, SAVE  :: guide_u,guide_v,guide_T,guide_Q,guide_P
-  LOGICAL, PRIVATE, SAVE  :: guide_hr,guide_teta  
-  LOGICAL, PRIVATE, SAVE  :: guide_BL,guide_reg,guide_add,gamma4,guide_zon 
-  LOGICAL, PRIVATE, SAVE  :: invert_p,invert_y,ini_anal
-  LOGICAL, PRIVATE, SAVE  :: guide_2D,guide_sav,guide_modele
-!FC
-  LOGICAL, PRIVATE, SAVE  :: convert_Pa
-  
-  REAL, PRIVATE, SAVE     :: tau_min_u,tau_max_u
-  REAL, PRIVATE, SAVE     :: tau_min_v,tau_max_v
-  REAL, PRIVATE, SAVE     :: tau_min_T,tau_max_T
-  REAL, PRIVATE, SAVE     :: tau_min_Q,tau_max_Q
-  REAL, PRIVATE, SAVE     :: tau_min_P,tau_max_P
-
-  REAL, PRIVATE, SAVE     :: lat_min_g,lat_max_g
-  REAL, PRIVATE, SAVE     :: lon_min_g,lon_max_g
-  REAL, PRIVATE, SAVE     :: tau_lon,tau_lat
-
-  REAL, PRIVATE, SAVE     :: plim_guide_BL
-
-  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE     :: alpha_u,alpha_v 
-  REAL, ALLOCATABLE, DIMENSION(:, :), PRIVATE, SAVE     :: alpha_T,alpha_Q 
-  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE     :: alpha_P,alpha_pcor
-  
-! ---------------------------------------------
-! Variables de guidage
-! ---------------------------------------------
-! Variables des fichiers de guidage
-  REAL, ALLOCATABLE, DIMENSION(:,:,:), PRIVATE, SAVE   :: unat1,unat2
-  REAL, ALLOCATABLE, DIMENSION(:,:,:), PRIVATE, SAVE   :: vnat1,vnat2
-  REAL, ALLOCATABLE, DIMENSION(:,:,:), PRIVATE, SAVE   :: tnat1,tnat2
-  REAL, ALLOCATABLE, DIMENSION(:,:,:), PRIVATE, SAVE   :: qnat1,qnat2
-  REAL, ALLOCATABLE, DIMENSION(:,:,:), PRIVATE, SAVE   :: pnat1,pnat2
-  REAL, ALLOCATABLE, DIMENSION(:,:),   PRIVATE, SAVE   :: psnat1,psnat2
-  REAL, ALLOCATABLE, DIMENSION(:),     PRIVATE, SAVE   :: apnc,bpnc
-! Variables aux dimensions du modele
-  REAL, ALLOCATABLE, DIMENSION(:,:),   PRIVATE, SAVE   :: ugui1,ugui2
-  REAL, ALLOCATABLE, DIMENSION(:,:),   PRIVATE, SAVE   :: vgui1,vgui2
-  REAL, ALLOCATABLE, DIMENSION(:,:),   PRIVATE, SAVE   :: tgui1,tgui2
-  REAL, ALLOCATABLE, DIMENSION(:,:),   PRIVATE, SAVE   :: qgui1,qgui2
-  REAL, ALLOCATABLE, DIMENSION(:),   PRIVATE, SAVE   :: psgui1,psgui2
+  ! ---------------------------------------------
+  ! Declarations des cles logiques et parametres
+  ! ---------------------------------------------
+  INTEGER, PRIVATE, SAVE :: iguide_read, iguide_int, iguide_sav
+  INTEGER, PRIVATE, SAVE :: nlevnc, guide_plevs
+  LOGICAL, PRIVATE, SAVE :: guide_u, guide_v, guide_T, guide_Q, guide_P
+  LOGICAL, PRIVATE, SAVE :: guide_hr, guide_teta
+  LOGICAL, PRIVATE, SAVE :: guide_BL, guide_reg, guide_add, gamma4, guide_zon
+  LOGICAL, PRIVATE, SAVE :: invert_p, invert_y, ini_anal
+  LOGICAL, PRIVATE, SAVE :: guide_2D, guide_sav, guide_modele
+  !FC
+  LOGICAL, PRIVATE, SAVE :: convert_Pa
+
+  REAL, PRIVATE, SAVE :: tau_min_u, tau_max_u
+  REAL, PRIVATE, SAVE :: tau_min_v, tau_max_v
+  REAL, PRIVATE, SAVE :: tau_min_T, tau_max_T
+  REAL, PRIVATE, SAVE :: tau_min_Q, tau_max_Q
+  REAL, PRIVATE, SAVE :: tau_min_P, tau_max_P
+
+  REAL, PRIVATE, SAVE :: lat_min_g, lat_max_g
+  REAL, PRIVATE, SAVE :: lon_min_g, lon_max_g
+  REAL, PRIVATE, SAVE :: tau_lon, tau_lat
+
+  REAL, PRIVATE, SAVE :: plim_guide_BL
+
+  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE :: alpha_u, alpha_v
+  REAL, ALLOCATABLE, DIMENSION(:, :), PRIVATE, SAVE :: alpha_T, alpha_Q
+  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE :: alpha_P, alpha_pcor
+
+  ! ---------------------------------------------
+  ! Variables de guidage
+  ! ---------------------------------------------
+  ! Variables des fichiers de guidage
+  REAL, ALLOCATABLE, DIMENSION(:, :, :), PRIVATE, SAVE :: unat1, unat2
+  REAL, ALLOCATABLE, DIMENSION(:, :, :), PRIVATE, SAVE :: vnat1, vnat2
+  REAL, ALLOCATABLE, DIMENSION(:, :, :), PRIVATE, SAVE :: tnat1, tnat2
+  REAL, ALLOCATABLE, DIMENSION(:, :, :), PRIVATE, SAVE :: qnat1, qnat2
+  REAL, ALLOCATABLE, DIMENSION(:, :, :), PRIVATE, SAVE :: pnat1, pnat2
+  REAL, ALLOCATABLE, DIMENSION(:, :), PRIVATE, SAVE :: psnat1, psnat2
+  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE :: apnc, bpnc
+  ! Variables aux dimensions du modele
+  REAL, ALLOCATABLE, DIMENSION(:, :), PRIVATE, SAVE :: ugui1, ugui2
+  REAL, ALLOCATABLE, DIMENSION(:, :), PRIVATE, SAVE :: vgui1, vgui2
+  REAL, ALLOCATABLE, DIMENSION(:, :), PRIVATE, SAVE :: tgui1, tgui2
+  REAL, ALLOCATABLE, DIMENSION(:, :), PRIVATE, SAVE :: qgui1, qgui2
+  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE :: psgui1, psgui2
 
 CONTAINS
-!=======================================================================
+  !=======================================================================
 
   SUBROUTINE guide_init
